{
    "name": "Animal Science Laboratory",
    "min_size": {
        "x": 5,
        "y": 5
    },
    "tile": "checkered_floor_large",
    "wall": {
        "texture": "modern_wall",
        "texture_top": "basic_wall_top"
    },
    "only_within": "building",
    "placement_match": ["!.building_edge"],
    "base_cost": 3000,
    "cost_per_tile": 250,
    "valid_objects": [
        "@basics",
        "chairs/single_chair",
        "teach_objs/cage_sloth",
        "@teach_basics",
        "@plants",
        "@floors"
    ],
    "required_objects": {
        "doors/*": 1,
        "chairs/*": 1,
        "teach_objs/projector": 1,
        "teach_objs/cage_sloth": 1
    },
    "used_for_teaching": true,
    "requirements": [
        {
            "type": "room",
            "key": "lecture_room"
        },
        {
            "type": "room",
            "key": "science_lab"
        }
    ],
    "controller": "room.simple"
}
